Create a new mapping for a gateway
curl --request POST \
--url https://api.quiva.ai/gateway/{gateway_topic}/mapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "/api/users",
"method": "GET",
"is_public": true,
"timeout": 30000,
"limit": {
"request": 5000,
"time": 1000
}
}
'import requests
url = "https://api.quiva.ai/gateway/{gateway_topic}/mapping"
payload = {
"path": "/api/users",
"method": "GET",
"is_public": True,
"timeout": 30000,
"limit": {
"request": 5000,
"time": 1000
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
path: '/api/users',
method: 'GET',
is_public: true,
timeout: 30000,
limit: {request: 5000, time: 1000}
})
};
fetch('https://api.quiva.ai/gateway/{gateway_topic}/mapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"subject": "ms.gateway.abcdef123456.mapping.get.api.users",
"path": "/api/users",
"method": "GET",
"is_public": true,
"timeout": 30000,
"limit": {
"request": 5000,
"time": 1000
},
"traffic_distribution": {
"1": 100
},
"modified": 1713531894,
"type": "created"
},
"metadata": {
"subject": "ms.gateway.abcdef123456.mapping.get.api.users"
}
}{
"error": "Invalid request parameters"
}{
"error": "The requested resource does not exist"
}Mappings
Create a new mapping for a gateway
Creates a new path mapping within the specified gateway.
POST
/
gateway
/
{gateway_topic}
/
mapping
Create a new mapping for a gateway
Authorizations
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique topic identifier of the gateway
Body
application/json
URL path for the mapping
Example:
"/api/users"
HTTP method for the mapping
Available options:
GET, POST, PUT, DELETE, PATCH, OPTIONS, HEAD Example:
"GET"
Whether the mapping is publicly accessible
Example:
true
Show child attributes
Show child attributes
Timeout in milliseconds for mapping requests
Example:
30000
Traffic distribution configuration for A/B testing
Show child attributes
Show child attributes
Example:
{ "1": 100 }
⌘I